Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364093 - Review Request: libdnf - Library providing simplified C and Python API to libsolv
Summary: Review Request: libdnf - Library providing simplified C and Python API to lib...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-04 13:06 UTC by Jaroslav Mracek
Modified: 2016-09-29 09:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 09:25:24 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Jaroslav Mracek 2016-08-04 13:06:58 UTC
Spec URL: https://pagure.io/libdnf/blob/master/f/libdnf.spec
SRPM URL: https://pagure.io/libdnf/blob/master/f/libdnf-0.7.0-1.git.0.050245b.fc24.src.rpm
Description: This library provides a high level package-manager. It uses librepo and hawkey under the hood. 
Fedora Account System Username: jmracek

Comment 1 Igor Gnatenko 2016-08-07 08:45:54 UTC
libdnf-devel.x86_64: W: file-not-utf8 /usr/share/gtk-doc/html/libdnf/html/common.css

Your spec and SRPM is completely different. Please fix it.

Comment 2 Jaroslav Mracek 2016-08-08 08:03:23 UTC
Only line 

Source0: libdnf-git-0.050245b.tar.gz

is changed to:

Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz


and I guess it is changed by tito during build.

Do you accept the explanation?

Comment 3 Igor Gnatenko 2016-08-08 08:06:51 UTC
(In reply to Jaroslav Mracek from comment #2)
> Only line 
> 
> Source0: libdnf-git-0.050245b.tar.gz
> 
> is changed to:
> 
> Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
> 
> 
> and I guess it is changed by tito during build.
> 
> Do you accept the explanation?
no.

> Version:        0.7.0
> Release:        1%{?dist}
it will never produce proper version.

don't use `shito` for packaging.

Comment 4 Jaroslav Mracek 2016-08-08 09:03:40 UTC
Spec URL: https://pagure.io/libdnf/blob/master/f/libdnf.spec
SRPM URL: https://pagure.io/libdnf/blob/master/f/libdnf-0.7.0-0.1gitc0a107b.fc24.src.rpm

Here is the new srpm and spec was updated. Hopefully it help. Thank you.

Comment 5 Igor Gnatenko 2016-08-08 09:22:59 UTC
LGTM.

Comment 6 Gwyn Ciesla 2016-08-08 15:17:24 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/libdnf

Comment 7 Igor Gnatenko 2016-09-29 09:25:24 UTC
Built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.